import { Avatar } from "./Avatar";
import { IAvatarLayerConfiguration } from "../../interfaces/Avatar.interface";
import { Container } from "pixi.js";
export declare class AvatarLayer extends Container {
    private _avatar;
    private _type;
    private _part;
    private _gesture;
    /**
     * The layer tint
     * @private
     */
    private _tint;
    /**
     * The layer z
     * @private
     */
    private _z;
    private _direction;
    /**
     * Is the layer flipped
     * @private
     */
    private _flip;
    private _frame;
    private _alpha;
    constructor(avatar: Avatar, configuration: IAvatarLayerConfiguration);
    private _draw;
    get avatar(): Avatar;
}
