import { Filter } from "pixi.js";
/**
 * WiredSelectionFilter class that aim to reproduce the wired selection effect.
 *
 * @class
 * @memberof Scuti
 */
export declare class WiredSelectionFilter extends Filter {
    /**
     * @param {number} [lineColor] - The color of the furniture border when selected.
     * @param {number} [backgroundColor] - The main color of the furniture when selected.
     **/
    constructor(lineColor: number, backgroundColor: number);
}
