/**
 * FurnitureVisualization class for the furniture visualization.
 *
 * @class
 * @memberof Scuti
 */
export class FurnitureVisualization {
    /**
     * @param {FloorFurniture | WallFurniture} [furniture] - The furniture instance.
     */
    constructor(furniture) {
        this._furniture = furniture;
    }
    /**
     * Reference to the furniture.
     *
     * @member {FloorFurniture | WallFurniture}
     * @readonly
     * @public
     */
    get furniture() {
        return this._furniture;
    }
}
//# sourceMappingURL=FurnitureVisualization.js.map